SELECT
    warpRun.warp_id,
    warpRun.fake_id,
    warpRun.workdir,
    warpRun.tess_id,
    warpRun.label,
    rawExp.camera,
    exp_id,
    warpRun.magiced
FROM warpRun
JOIN fakeRun
    USING(fake_id)
JOIN camRun
    USING(cam_id)
JOIN chipRun
    USING(chip_id)
JOIN rawExp
    USING(exp_id)
LEFT JOIN warpSkyCellMap
    USING(warp_id)
LEFT JOIN warpMask
    ON warpRun.label = warpMask.label
WHERE
    warpRun.state = 'run'
    AND fakeRun.state = 'stop'
    AND camRun.state = 'stop'
    AND chipRun.state = 'full'
    AND warpSkyCellMap.warp_id IS NULL
    AND warpMask.label IS NULL
